%global pkg_name libmpd

%global common_summary An MPD client library

%global common_description A client library for MPD, the Music Player Daemon.

Name:           ghc-%{pkg_name}
Version:        0.5.0
Release:        9%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
BuildRequires:  ghc-mtl-prof, ghc-network-prof, ghc-time-prof, ghc-utf8-string-prof
Patch1:         libmpd-0.5.0-ghc7.patch

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%prep
%setup -q -n %{pkg_name}-%{version}
%patch1 -p1 -b .orig


%build
%ghc_lib_build


%install
%ghc_lib_install
mkdir -p %{buildroot}/%{_docdir}/%{name}-%{version}
install -p ChangeLog %{buildroot}/%{_docdir}/%{name}-%{version}/ChangeLog
install -p README.md %{buildroot}/%{_docdir}/%{name}-%{version}/README.md


%{?ghc_lib_package}


%changelog
* Thu Jun 23 2011 Jens Petersen <petersen@redhat.com> - 0.5.0-9
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.5.0-8
- Enable build on sparcv9

* Thu Feb 17 2011 Ben Boeckel <mathstuf@gmail.com> - 0.5.0-7
- Rebuild for broken dependencies (ghc-network)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Ben Boeckel <mathstuf@gmail.com> - 0.5.0-5
- Update to cabal2spec-0.22.4
- Rebuild

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 0.5.0-4
- also bump network dependency

* Mon Nov 29 2010 Jens Petersen <petersen@redhat.com> - 0.5.0-3
- bump some core dependency versions for ghc7

* Sun Nov 28 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.0-2
- Rebuild for GHC7

* Sun Oct 31 2010 Ben Boeckel <mathstuf@gmail.com> - 0.5.0-1
- Update to 0.5.0

* Wed Sep 01 2010 Ben Boeckel <mathstuf@gmail.com> - 0.4.2-1
- Update to 0.4.2
- Drop QuickCheck BR
- Ship the changelog and readme as well

* Tue Aug 31 2010 Ben Boeckel <mathstuf@gmail.com> - 0.4.1-1
- Initial package

* Tue Aug 31 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.4.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
